nn.pp.rccore

## Enum RCCore.ClientSessionInitProperties

- java.lang.Object
- - java.lang.Enum<RCCore.ClientSessionInitProperties>
  - - nn.pp.rccore.RCCore.ClientSessionInitProperties

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.ClientSessionInitProperties>
  Enclosing interface:
    RCCore

      public static enum RCCore.ClientSessionInitProperties
      extends java.lang.Enum<RCCore.ClientSessionInitProperties>

  The properties set using this method are sent in the client initialization message as key value pairs
  See Also:
    `RCCore.setClientSessionInitProperties(Map)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTI_MONITOR_ASSOCIATION_ID` Reference session ID of a multi-monitor session
    `MULTI_MONITOR_NOT_TOP_LEFT` Reference session ID of a client-only multi monitor session for not-top-left port
    `SCAN_REFERENCE_ID` Reference session ID of a scan session

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.ClientSessionInitProperties` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.ClientSessionInitProperties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SCAN_REFERENCE_ID

          public static final RCCore.ClientSessionInitProperties SCAN_REFERENCE_ID

      Reference session ID of a scan session

    - #### MULTI_MONITOR_ASSOCIATION_ID

          public static final RCCore.ClientSessionInitProperties MULTI_MONITOR_ASSOCIATION_ID

      Reference session ID of a multi-monitor session

    - #### MULTI_MONITOR_NOT_TOP_LEFT

          public static final RCCore.ClientSessionInitProperties MULTI_MONITOR_NOT_TOP_LEFT

      Reference session ID of a client-only multi monitor session for not-top-left port

  - ### Method Detail

    - #### values

          public static RCCore.ClientSessionInitProperties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.ClientSessionInitProperties c : RCCore.ClientSessionInitProperties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.ClientSessionInitProperties valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.